BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/visual-analysis

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/visual-analysis" \  -H "Content-Type: application/json" \  -d '{    "time_seconds": 0,    "times_seconds": [      0    ],    "target_width": 1,    "image_format": "jpeg",    "instruction": "string"  }'
{  "project_id": "string",  "summary": "string",  "issues": [    {      "severity": "info",      "title": "string",      "details": "string",      "suggested_fix": "string"    }  ],  "suggested_next_edits": [    "string"  ],  "confidence": 0,  "frames": [    {      "preview_url": "string",      "expires_at": "string",      "storage_key": "string",      "captured_at": "string",      "cached": true,      "frame": 0,      "time_seconds": 0,      "width": 0,      "height": 0,      "image_format": "jpeg",      "analysis": {        "summary": "string",        "visibleText": [          "string"        ],        "issues": [          {            "severity": "info",            "title": "string",            "details": "string",            "suggestedFix": "string"          }        ],        "suggestedNextEdits": [          "string"        ],        "confidence": 0      }    }  ]}